[config]
num_di=0
num_do=0
num_rw=15
num_ro=60
num_roles=48
num_ot=2
num_di=0
dev_category=0
dev_rating=0.0
ro_fn=4
rw_poll_once=0
ro_multiblock=1
rw_multiblock=1
device_type_id=7122
name=Megarevo MEGA PCS Battery Inverter
description=Megarevo MEGA PCS Battery Inverter Series
di_base_address=1
do_base_address=1
rw_base_address=0
ro_base_address=0
rw_var_0=Grid Mode
rw_p_0=0
rw_desc_0=Grid Mode
rw_reg_0=2765
rw_var_1=Work Mode
rw_p_1=0
rw_desc_1=Work Mode
rw_reg_1=2778
rw_var_2=Battery Voltage
rw_p_2=0
rw_desc_2=Battery Voltage
rw_reg_2=3097
rw_var_3=Battery Current
rw_p_3=0
rw_desc_3=Battery Current
rw_reg_3=3098
rw_var_4=Battery SOC
rw_p_4=0
rw_desc_4=Battery SOC
rw_reg_4=3099
rw_var_5=Battery SOH
rw_p_5=0
rw_desc_5=Battery SOH
rw_reg_5=3100
rw_var_6=Max Cell Voltage
rw_p_6=0
rw_desc_6=Max Cell Voltage
rw_reg_6=3101
rw_var_7=Min Cell Voltage
rw_p_7=0
rw_desc_7=Min Cell Voltage
rw_reg_7=3102
rw_var_8=Max Cell Temp
rw_p_8=0
rw_desc_8=Max Cell Temp
rw_reg_8=3103
rw_var_9=Min Cell Temp
rw_p_9=0
rw_desc_9=Min Cell Temp
rw_reg_9=3104
rw_var_10=newreg12
rw_p_10=0
rw_desc_10=undefined
rw_reg_10=3105
rw_var_11=newreg13
rw_p_11=0
rw_desc_11=undefined
rw_reg_11=3106
rw_var_12=newreg14
rw_p_12=0
rw_desc_12=undefined
rw_reg_12=3107
rw_var_13=newreg15
rw_p_13=0
rw_desc_13=undefined
rw_reg_13=3108
rw_var_14=Battery Status
rw_p_14=0
rw_desc_14=Battery Status
rw_reg_14=3109
ro_var_0=Alarm 1
ro_desc_0=undefined
ro_p_0=0
ro_i_0=0
ro_reg_0=2100
ro_var_1=Alarm 2
ro_desc_1=undefined
ro_p_1=0
ro_i_1=0
ro_reg_1=2101
ro_var_2=Alarm 3
ro_desc_2=undefined
ro_p_2=0
ro_i_2=0
ro_reg_2=2102
ro_var_3=Alarm 4
ro_desc_3=undefined
ro_p_3=0
ro_i_3=0
ro_reg_3=2103
ro_var_4=Switch Status
ro_desc_4=undefined
ro_p_4=0
ro_i_4=0
ro_reg_4=2104
ro_var_5=PCS status word
ro_desc_5=undefined
ro_p_5=0
ro_i_5=0
ro_reg_5=2105
ro_var_6=Peripheral Status
ro_desc_6=undefined
ro_p_6=0
ro_i_6=0
ro_reg_6=2106
ro_var_7=Monitor Alarm 1
ro_desc_7=undefined
ro_p_7=0
ro_i_7=0
ro_reg_7=2107
ro_var_8=BMS Alarm 1
ro_desc_8=undefined
ro_p_8=0
ro_i_8=0
ro_reg_8=2108
ro_var_9=BMS Alarm 2
ro_desc_9=undefined
ro_p_9=0
ro_i_9=0
ro_reg_9=2109
ro_var_10=BMS Alarm 3
ro_desc_10=undefined
ro_p_10=0
ro_i_10=0
ro_reg_10=2110
ro_var_11=BMS Alarm 4
ro_desc_11=undefined
ro_p_11=0
ro_i_11=0
ro_reg_11=2111
ro_var_12=BMS Alarm 5
ro_desc_12=undefined
ro_p_12=0
ro_i_12=0
ro_reg_12=2112
ro_var_13=BMS Alarm 6
ro_desc_13=undefined
ro_p_13=0
ro_i_13=0
ro_reg_13=2113
ro_var_14=BMS Alarm 7
ro_desc_14=undefined
ro_p_14=0
ro_i_14=0
ro_reg_14=2114
ro_var_15=BMS Alarm 8
ro_desc_15=undefined
ro_p_15=0
ro_i_15=0
ro_reg_15=2115
ro_var_16=BMS Alarm 9
ro_desc_16=undefined
ro_p_16=0
ro_i_16=0
ro_reg_16=2116
ro_var_17=BMS Alarm 10
ro_desc_17=undefined
ro_p_17=0
ro_i_17=0
ro_reg_17=2117
ro_var_18=BMS Alarm 11
ro_desc_18=undefined
ro_p_18=0
ro_i_18=0
ro_reg_18=2118
ro_var_19=Inverter Voltage AB
ro_desc_19=Inverter Voltage AB
ro_p_19=0
ro_i_19=0
ro_reg_19=2207
ro_var_20=Inverter Voltage BC
ro_desc_20=Inverter Voltage BC
ro_p_20=0
ro_i_20=0
ro_reg_20=2208
ro_var_21=Inverter Voltage CA
ro_desc_21=Inverter Voltage CA
ro_p_21=0
ro_i_21=0
ro_reg_21=2209
ro_var_22=Inverter Current A
ro_desc_22=Inverter Current A
ro_p_22=0
ro_i_22=0
ro_reg_22=2210
ro_var_23=Inverter Current B
ro_desc_23=Inverter Current B
ro_p_23=0
ro_i_23=0
ro_reg_23=2211
ro_var_24=Inverter Current C
ro_desc_24=Inverter Current C
ro_p_24=0
ro_i_24=0
ro_reg_24=2212
ro_var_25=Inverter frequency
ro_desc_25=Inverter frequency
ro_p_25=0
ro_i_25=0
ro_reg_25=2213
ro_var_26=newreg56
ro_desc_26=undefined
ro_p_26=0
ro_i_26=0
ro_reg_26=2214
ro_var_27=newreg57
ro_desc_27=undefined
ro_p_27=0
ro_i_27=0
ro_reg_27=2215
ro_var_28=newreg58
ro_desc_28=undefined
ro_p_28=0
ro_i_28=0
ro_reg_28=2216
ro_var_29=newreg59
ro_desc_29=undefined
ro_p_29=0
ro_i_29=0
ro_reg_29=2217
ro_var_30=newreg60
ro_desc_30=undefined
ro_p_30=0
ro_i_30=0
ro_reg_30=2218
ro_var_31=Load voltage AB
ro_desc_31=Load voltage AB
ro_p_31=0
ro_i_31=0
ro_reg_31=2318
ro_var_32=Load voltage BC
ro_desc_32=Load voltage BC
ro_p_32=0
ro_i_32=0
ro_reg_32=2319
ro_var_33=Load voltage CA
ro_desc_33=Load voltage CA
ro_p_33=0
ro_i_33=0
ro_reg_33=2320
ro_var_34=Load Current A
ro_desc_34=Load Current A
ro_p_34=0
ro_i_34=0
ro_reg_34=2321
ro_var_35=Load Current B
ro_desc_35=Load Current B
ro_p_35=0
ro_i_35=0
ro_reg_35=2322
ro_var_36=Load Current C
ro_desc_36=Load Current C
ro_p_36=0
ro_i_36=0
ro_reg_36=2323
ro_var_37=Load Frequency
ro_desc_37=Load Frequency
ro_p_37=0
ro_i_37=0
ro_reg_37=2324
ro_var_38=Load Power Factor
ro_desc_38=Load Power Factor
ro_p_38=0
ro_i_38=0
ro_reg_38=2325
ro_var_39=Total load active power
ro_desc_39=Total load active power
ro_p_39=0
ro_i_39=0
ro_reg_39=2326
ro_var_40=Total load reactive power
ro_desc_40=Total load reactive power
ro_p_40=0
ro_i_40=0
ro_reg_40=2327
ro_var_41=Grid voltage AB
ro_desc_41=Grid voltage AB
ro_p_41=0
ro_i_41=0
ro_reg_41=2428
ro_var_42=Grid voltage BC
ro_desc_42=Grid voltage BC
ro_p_42=0
ro_i_42=0
ro_reg_42=2429
ro_var_43=Grid voltage CA
ro_desc_43=Grid voltage CA
ro_p_43=0
ro_i_43=0
ro_reg_43=2430
ro_var_44=Grid current A
ro_desc_44=Grid current A
ro_p_44=0
ro_i_44=0
ro_reg_44=2431
ro_var_45=Grid current B
ro_desc_45=Grid current B
ro_p_45=0
ro_i_45=0
ro_reg_45=2432
ro_var_46=Grid current C
ro_desc_46=Grid current C
ro_p_46=0
ro_i_46=0
ro_reg_46=2433
ro_var_47=Grid frequency
ro_desc_47=Grid frequency
ro_p_47=0
ro_i_47=0
ro_reg_47=2434
ro_var_48=Grid power factor
ro_desc_48=Grid power factor
ro_p_48=0
ro_i_48=0
ro_reg_48=2435
ro_var_49=Total Grid active power
ro_desc_49=Total Grid active power
ro_p_49=0
ro_i_49=0
ro_reg_49=2436
ro_var_50=Total Grid reactive power
ro_desc_50=Total Grid reactive power
ro_p_50=0
ro_i_50=0
ro_reg_50=2437
ro_var_51=DC voltage
ro_desc_51=DC voltage
ro_p_51=0
ro_i_51=0
ro_reg_51=2538
ro_var_52=DC current
ro_desc_52=DC current
ro_p_52=0
ro_i_52=0
ro_reg_52=2539
ro_var_53=DC power
ro_desc_53=DC power
ro_p_53=0
ro_i_53=0
ro_reg_53=2540
ro_var_54=IGBT Temperature
ro_desc_54=IGBT Temperature
ro_p_54=0
ro_i_54=0
ro_reg_54=2541
ro_var_55=Ambient temperature
ro_desc_55=Ambient temperature
ro_p_55=0
ro_i_55=0
ro_reg_55=2542
ro_var_56=Battery Charge Total
ro_desc_56=high word
ro_p_56=1
ro_i_56=0
ro_reg_56=2556
ro_var_57=newreg54
ro_desc_57=low word
ro_p_57=1
ro_i_57=0
ro_reg_57=2557
ro_var_58=Battery Discharge Total
ro_desc_58=high word
ro_p_58=1
ro_i_58=0
ro_reg_58=2558
ro_var_59=newreg56
ro_desc_59=low word
ro_p_59=1
ro_i_59=0
ro_reg_59=2559
role_var_0=Output_Active_Power_Total
role_type_0=2
role_idx_0=26
role_scale_0=0.01
role_var_1=Output_Reactive_Power_Total
role_type_1=2
role_idx_1=27
role_scale_1=0.01
role_var_2=Output_AC_Voltage_AB
role_type_2=31
role_idx_2=19
role_scale_2=10
role_var_3=Output_AC_Voltage_BC
role_type_3=31
role_idx_3=20
role_scale_3=10
role_var_4=Output_AC_Voltage_CA
role_type_4=31
role_idx_4=21
role_scale_4=10
role_var_5=Output_AC_Current_A
role_type_5=2
role_idx_5=22
role_scale_5=10
role_var_6=Output_AC_Current_B
role_type_6=2
role_idx_6=23
role_scale_6=10
role_var_7=Output_AC_Current_C
role_type_7=2
role_idx_7=24
role_scale_7=10
role_var_8=Output_AC_Frequency
role_type_8=31
role_idx_8=25
role_scale_8=100
role_var_9=Load_Active_Power_Total
role_type_9=2
role_idx_9=39
role_scale_9=0.01
role_var_10=Grid_Active_Power_Total
role_type_10=2
role_idx_10=49
role_scale_10=0.01
role_var_11=IGBT_Temperature
role_type_11=2
role_idx_11=54
role_scale_11=10
role_var_12=Ambient_Temperature
role_type_12=2
role_idx_12=55
role_scale_12=10
role_var_13=Battery_DC_Power
role_type_13=2
role_idx_13=53
role_scale_13=0.01
role_var_14=Battery_kWh_Total_Charge
role_type_14=25
role_idx_14=56
role_scale_14=10
role_var_15=Battery_kWh_Total_Discharge
role_type_15=25
role_idx_15=58
role_scale_15=10
role_var_16=Battery_Voltage
role_type_16=32
role_idx_16=2
role_scale_16=10
role_var_17=Battery_Current
role_type_17=3
role_idx_17=3
role_scale_17=10
role_var_18=Battery_SoC
role_type_18=32
role_idx_18=4
role_scale_18=1
role_var_19=Battery_SoH
role_type_19=32
role_idx_19=5
role_scale_19=1
role_var_20=Battery_Max_Cell_Voltage
role_type_20=32
role_idx_20=6
role_scale_20=1000
role_var_21=Battery_Min_Cell_Voltage
role_type_21=32
role_idx_21=7
role_scale_21=1000
role_var_22=Battery_Max_Cell_Temp
role_type_22=32
role_idx_22=8
role_scale_22=10
role_var_23=Battery_Min_Cell_Temp
role_type_23=32
role_idx_23=9
role_scale_23=10
role_var_24=DC_Current
role_type_24=2
role_idx_24=52
role_scale_24=10
role_var_25=DC_Voltage
role_type_25=2
role_idx_25=51
role_scale_25=10
role_var_26=STATUS1
role_type_26=31
role_idx_26=4
role_scale_26=1
role_var_27=STATUS2
role_type_27=31
role_idx_27=5
role_scale_27=1
role_var_28=STATUS3
role_type_28=31
role_idx_28=6
role_scale_28=1
role_var_29=STATUS4
role_type_29=32
role_idx_29=0
role_scale_29=1
role_var_30=STATUS5
role_type_30=32
role_idx_30=1
role_scale_30=1
role_var_31=STATUS6
role_type_31=32
role_idx_31=14
role_scale_31=1
role_var_32=ERROR1
role_type_32=31
role_idx_32=0
role_scale_32=1
role_var_33=ERROR2
role_type_33=31
role_idx_33=1
role_scale_33=1
role_var_34=ERROR3
role_type_34=31
role_idx_34=2
role_scale_34=1
role_var_35=ERROR4
role_type_35=31
role_idx_35=3
role_scale_35=1
role_var_36=ERROR5
role_type_36=31
role_idx_36=7
role_scale_36=1
role_var_37=ERROR6
role_type_37=31
role_idx_37=8
role_scale_37=1
role_var_38=ERROR7
role_type_38=31
role_idx_38=9
role_scale_38=1
role_var_39=ERROR8
role_type_39=31
role_idx_39=10
role_scale_39=1
role_var_40=ERROR9
role_type_40=31
role_idx_40=11
role_scale_40=1
role_var_41=ERROR10
role_type_41=31
role_idx_41=12
role_scale_41=1
role_var_42=ERROR11
role_type_42=31
role_idx_42=13
role_scale_42=1
role_var_43=ERROR12
role_type_43=31
role_idx_43=14
role_scale_43=1
role_var_44=ERROR13
role_type_44=31
role_idx_44=15
role_scale_44=1
role_var_45=ERROR14
role_type_45=31
role_idx_45=16
role_scale_45=1
role_var_46=ERROR15
role_type_46=31
role_idx_46=17
role_scale_46=1
role_var_47=ERROR16
role_type_47=31
role_idx_47=18
role_scale_47=1
ot_type_0=0
ot_func_0=3
ot_address_0=2010
ot_count_0=6
ot_type_1=1
ot_func_1=3
ot_address_1=2000
ot_count_1=5
